PROGRAM   CharTb24 ;
USES   WinCRT ;

VAR
   i : Integer ;

BEGIN
   WriteLn (   'CODE   CHAR'   );
   WriteLn (   '-----------'   );

   {----- LOOP , On each char }
   FOR i := 0 TO 255 DO BEGIN
      Write (   i  ,  '   '   );

      {----- Write char  ( Ignoring problem chars )  }
      CASE i OF
         $00      : WriteLn (   '-'   );      {--- EOF   End Of File     }
         $01..$06 : WriteLn (   '-'   );
         $07      : WriteLn (   '-'   );      {--- BEL   Bell            }
         $08      : WriteLn (   '-'   );      {--- BS    Backspace       }
         $09      : WriteLn (   '-'   );      {--- HT    Tabulation      }
         $0A      : WriteLn (   '-'   );      {--- LF    Line Feed       }
         $0B..$0C : WriteLn (   '-'   );
         $0D      : WriteLn (   '-'   );      {--- CR    Carriage Return }
         $0E..$1F : WriteLn (   '-'   );
         ELSE
            WriteLn (   Chr(i)   );
      END;{case}
   END;{i}
END.
